#
# spec file for package hypermail
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hypermail
BuildRequires:  apache2-devel
BuildRequires:  bison
BuildRequires:  gdbm-devel
BuildRequires:  libapr-util1-devel
BuildRequires:  libtool
BuildRequires:  pcre-devel
Obsoletes:      hypemail
Version:        2.2.0.20070131
Release:        17.5
Url:            http://www.hypermail-project.org/
Summary:        Convert Mail Archives in mailbox Format to HTML Pages
License:        GPL-2.0
Group:          Productivity/Networking/Email/Utilities
Source:         http://www.hypermail.org/dist/%{name}-%{version}.tar.bz2
Patch:          %{name}-2.1.8-docs.patch
Patch1:         %{name}-2.1.8-s390.patch
Patch2:         %{name}-setup.patch
Patch3:         %{name}-audit.patch
Patch4:         hypermail-gcc4.diff
Patch5:         nonstaticpcre.patch
Patch6:         strip.patch
Patch7:         %{name}-2.2.0-comparison.diff
Patch8:         64bit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define apache_serverroot %(/usr/sbin/apxs2 -q datadir 2>/dev/null || /usr/sbin/apxs2 -q PREFIX)

%description
Hypermail is a program that takes a file of mail messages in mailbox
format and generates a set of cross-referenced HTML documents.	Each
file that is created represents a separate message in the mail archive
and contains links to other articles, so that the entire archive can be
browsed in a number of ways by following links.  Archives generated by
Hypermail can be incrementally updated, and Hypermail is set by default
to only update archives when changes are detected.



Authors:
--------
    Kevin Hughes <kevinh@eit.com>

%prep
%setup -q
%patch
%patch1
%patch2 -p1
%patch3 -p1
%patch4
%patch5
%patch6
%patch7
%patch8 -p1
find . -name CVS -type d | xargs rm -rf
find . -type f | xargs chmod u+w

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CFLAGS=" -g -O0 "
rm -rf src/pcre
libtoolize --force
aclocal
autoconf
./configure --prefix=/usr \
            --mandir=%{_mandir} --infodir=%{_infodir} \
	    --with-htmldir=%{_defaultdocdir}/hypermail/docs \
	    --with-httpddir=%{apache_serverroot}
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/hypermail/docs
make prefix=$RPM_BUILD_ROOT/usr \
     mandir=$RPM_BUILD_ROOT/%{_mandir} \
     infodir=$RPM_BUILD_ROOT/%{_infodir} \
     htmldir=$RPM_BUILD_ROOT/%{_defaultdocdir}/hypermail/docs install
make -C src cgidir=$RPM_BUILD_ROOT%{apache_serverroot}/cgi-bin mail.install
cp -vr contrib/ $RPM_BUILD_ROOT/%{_defaultdocdir}/hypermail/
rm docs/Makefile* docs/hmrc.4 docs/hypermail.1    # don't install these files in %files sect.

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs contrib
%doc KNOWN_BUGS README TODO UPGRADE Changelog
/usr/bin/hypermail
/usr/bin/msg2archive
/usr/bin/rdmsg
%{apache_serverroot}/cgi-bin/mail
%doc %{_mandir}/man1/hypermail.1.gz
%doc %{_mandir}/man4/hmrc.4.gz

%changelog
* Tue Jun 26 2012 ftake@geeko.jp
- run format_spec_file
- add libtool to BuildRequires
* Mon Apr 12 2010 pgajdos@suse.cz
- refreshed audit.patch to build with fuzz=0
* Thu Mar 29 2007 rguenther@suse.de
- Add bison BuildRequires.
* Mon Mar 26 2007 rguenther@suse.de
- Add gdbm-devel BuildRequires.
* Thu Feb  1 2007 mfabian@suse.de
- Bugzilla #98496: fix the encoding problems by updating to
  CVS HEAD (2.2.0.20070131).
- make not only "set_i18n = 1" but also "set_i18n_body = 1"
  the default to get everything converted to UTF-8.
- fix crashes on 64 bit systems.
* Tue Jan  2 2007 anicka@suse.cz
- fix comparison with string literal [#231197]
* Thu May 18 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug 26 2005 pnemec@suse.cz
- make hypermail use system pcre
* Tue Jul 26 2005 mfabian@suse.de
- update to 2.2.0.
* Sun May  1 2005 mmj@suse.de
- build with gcc4
* Sun Apr 18 2004 ro@suse.de
- build with apache2
* Fri Jan 16 2004 ro@suse.de
- fix build as user (apxs path)
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Thu Sep 18 2003 tcrhak@suse.cz
- use correct types in setup.c [bug #31238]
* Wed Jul 30 2003 tcrhak@suse.cz
- update to version 2.1.8
* Tue Jun 10 2003 ltinkl@suse.cz
- updated sources to 2.1.7
- fixed the patches, reviewed the audit patch
- fixed the erroneous Provides field
* Mon Feb 24 2003 tcrhak@suse.cz
- security fix for several security failures (patch audit)
- fixed setup.c and setup.h for 64 bit archs;
  treat environment variables holding octal numbers as octal
  numbers, not decimal ones (patch setup)
- removed patch trio, that had broken hypermail for versions
  older than 2.1.3
* Mon Jan  6 2003 tcrhak@suse.cz
- update to version 2.1.5
* Mon Aug  5 2002 prehak@suse.cz
- update to version 2.1.4
- adjusted documentation
* Thu Aug  1 2002 ro@suse.de
- adapt server-root
* Tue May 21 2002 ro@suse.de
- run suse_update_config also in src/pcre
* Mon Dec 10 2001 tcrhak@suse.cz
- update to version 2.1.3
* Wed Oct  3 2001 tcrhak@suse.cz
- fixed src/trio.c -> hypermail-2.1.2-trio.patch
- va_list passed occasionally as a reference
- because of (axp) gcc-3.0.1-18
* Wed Aug 29 2001 adostal@suse.cz
- fix %%build (use aclocal...)
- create s390 patch
* Fri Aug 17 2001 adostal@suse.cz
- update to version 2.1.2
- fix %%install and %%files (htmldir and doc)
* Mon Apr  9 2001 pblaha@suse.cz
- update on 2.1.0
* Fri Feb 23 2001 ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Wed Nov 15 2000 pblaha@suse.cz
- rename to hypermail
* Mon May 15 2000 nadvornik@suse.cz
- added BuildRoot
- added URL
* Thu Apr 13 2000 ro@suse.de
- added mm to neededforbuild
* Fri Jan 21 2000 ro@suse.de
- specfile cleanup
* Thu Jan 20 2000 ro@suse.de
- update to 2.0beta29
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Sep 28 1998 ro@suse.de
- removed own version of strdup completely
* Sat Sep 26 1998 ro@suse.de
- dont redeclare/redefine strdup for glibc
* Tue Nov 11 1997 ro@suse.de
- fixed file-list
* Wed Oct 29 1997 ro@suse.de
- first suse version 1.02
